SuperLU: SRC/util.c File Reference

SuperLU 5.3.0

Macros | Functions
util.c File Reference

Utility functions. More...

`#include <math.h>`
`#include "slu_ddefs.h"`
Include dependency graph for util.c:

## Macros
#define | NBUCKS 10
| Get the statistics of the supernodes. More...

## Functions
void | superlu_abort_and_exit (char *msg)
| Global statistics variale. More...
void | set_default_options (superlu_options_t *options)
| Set the default values for the options argument. More...
void | ilu_set_default_options (superlu_options_t *options)
| Set the default values for the options argument for ILU. More...
void | print_options (superlu_options_t *options)
| Print the options setting. More...
void | print_ilu_options (superlu_options_t *options)
| Print the options setting. More...
void | Destroy_SuperMatrix_Store (SuperMatrix *A)
| Deallocate the structure pointing to the actual storage of the matrix. More...
void | Destroy_CompCol_Matrix (SuperMatrix *A)
void | Destroy_CompRow_Matrix (SuperMatrix *A)
void | Destroy_SuperNode_Matrix (SuperMatrix *A)
void | Destroy_CompCol_Permuted (SuperMatrix *A)
| A is of type Stype==NCP. More...
void | Destroy_Dense_Matrix (SuperMatrix *A)
| A is of type Stype==DN. More...
void | resetrep_col (const int nseg, const int *segrep, int *repfnz)
| Reset repfnz[] for the current column. More...
void | countnz (const int n, int *xprune, int *nnzL, int *nnzU, GlobalLU_t *Glu)
| Count the total number of nonzeros in factors L and U, and in the symmetrically reduced L. More...
void | ilu_countnz (const int n, int *nnzL, int *nnzU, GlobalLU_t *Glu)
| Count the total number of nonzeros in factors L and U. More...
void | fixupL (const int n, const int *perm_r, GlobalLU_t *Glu)
| Fix up the data storage lsub for L-subscripts. It removes the subscript sets for structural pruning, and applies permuation to the remaining subscripts. More...
void | print_panel_seg (int n, int w, int jcol, int nseg, int *segrep, int *repfnz)
| Diagnostic print of segment info after panel_dfs(). More...
void | StatInit (SuperLUStat_t *stat)
void | StatPrint (SuperLUStat_t *stat)
void | StatFree (SuperLUStat_t *stat)
flops_t | LUFactFlops (SuperLUStat_t *stat)
flops_t | LUSolveFlops (SuperLUStat_t *stat)
void | ifill (int *a, int alen, int ival)
| Fills an integer array with a given value. More...
void | super_stats (int nsuper, int *xsup)
float | SpaSize (int n, int np, float sum_npw)
float | DenseSize (int n, float sum_nw)
void | check_repfnz (int n, int w, int jcol, int *repfnz)
| Check whether repfnz[] == EMPTY after reset. More...
void | PrintSumm (char *type, int nfail, int nrun, int nerrs)
| Print a summary of the testing results. More...
int | print_int_vec (char *what, int n, int *vec)
int | slu_PrintInt10 (char *name, int len, int *x)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November, 2010

    Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

    THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
    EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

    Permission is hereby granted to use or copy this program for any
    purpose, provided the above notices are retained on all copies.
    Permission to modify the code and to distribute modified code is
    granted, provided the above notices are retained, and a notice that
    the code was modified is included with the above copyright notice.

## Macro Definition Documentation

## ◆ NBUCKS

#define NBUCKS 10

## Function Documentation

## ◆ check_repfnz()

void check_repfnz | ( | int | n,
|  | int | w,
|  | int | jcol,
|  | int * | repfnz
| ) |  |

## ◆ countnz()

void countnz | ( | const int | n,
|  | int * | xprune,
|  | int * | nnzL,
|  | int * | nnzU,
|  | GlobalLU_t * | Glu
| ) |  |

## ◆ DenseSize()

float DenseSize | ( | int | n,
|  | float | sum_nw
| ) |  |

## ◆ Destroy_CompCol_Matrix()

void Destroy_CompCol_Matrix | ( | SuperMatrix * | A | ) |

## ◆ Destroy_CompCol_Permuted()

void Destroy_CompCol_Permuted | ( | SuperMatrix * | A | ) |

## ◆ Destroy_CompRow_Matrix()

void Destroy_CompRow_Matrix | ( | SuperMatrix * | A | ) |

## ◆ Destroy_Dense_Matrix()

void Destroy_Dense_Matrix | ( | SuperMatrix * | A | ) |

## ◆ Destroy_SuperMatrix_Store()

void Destroy_SuperMatrix_Store | ( | SuperMatrix * | A | ) |

## ◆ Destroy_SuperNode_Matrix()

void Destroy_SuperNode_Matrix | ( | SuperMatrix * | A | ) |

## ◆ fixupL()

void fixupL | ( | const int | n,
|  | const int * | perm_r,
|  | GlobalLU_t * | Glu
| ) |  |

## ◆ ifill()

void ifill | ( | int * | a,
|  | int | alen,
|  | int | ival
| ) |  |

## ◆ ilu_countnz()

void ilu_countnz | ( | const int | n,
|  | int * | nnzL,
|  | int * | nnzU,
|  | GlobalLU_t * | Glu
| ) |  |

## ◆ ilu_set_default_options()

void ilu_set_default_options | ( | superlu_options_t * | options | ) |

Here is the call graph for this function:

## ◆ LUFactFlops()

flops_t LUFactFlops | ( | SuperLUStat_t * | stat | ) |

## ◆ LUSolveFlops()

flops_t LUSolveFlops | ( | SuperLUStat_t * | stat | ) |

## ◆ print_ilu_options()

void print_ilu_options | ( | superlu_options_t * | options | ) |

## ◆ print_int_vec()

int print_int_vec | ( | char * | what,
|  | int | n,
|  | int * | vec
| ) |  |

## ◆ print_options()

void print_options | ( | superlu_options_t * | options | ) |

## ◆ print_panel_seg()

void print_panel_seg | ( | int | n,
|  | int | w,
|  | int | jcol,
|  | int | nseg,
|  | int * | segrep,
|  | int * | repfnz
| ) |  |

## ◆ PrintSumm()

void PrintSumm | ( | char * | type,
|  | int | nfail,
|  | int | nrun,
|  | int | nerrs
| ) |  |

## ◆ resetrep_col()

void resetrep_col | ( | const int | nseg,
|  | const int * | segrep,
|  | int * | repfnz
| ) |  |

## ◆ set_default_options()

void set_default_options | ( | superlu_options_t * | options | ) |

## ◆ slu_PrintInt10()

int slu_PrintInt10 | ( | char * | name,
|  | int | len,
|  | int * | x
| ) |  |

## ◆ SpaSize()

float SpaSize | ( | int | n,
|  | int | np,
|  | float | sum_npw
| ) |  |

## ◆ StatFree()

void StatFree | ( | SuperLUStat_t * | stat | ) |

## ◆ StatInit()

void StatInit | ( | SuperLUStat_t * | stat | ) |

Here is the call graph for this function:

## ◆ StatPrint()

void StatPrint | ( | SuperLUStat_t * | stat | ) |

## ◆ super_stats()

void super_stats | ( | int | nsuper,
|  | int * | xsup
| ) |  |

Here is the call graph for this function:

## ◆ superlu_abort_and_exit()

void superlu_abort_and_exit | ( | char * | msg | ) |